package com.tuoheng.system.service;

import com.tuoheng.common.common.BaseQuery;
import com.tuoheng.common.common.IBaseService;
import com.tuoheng.common.utils.JsonResult;

import com.tuoheng.system.entity.Tenant;
import com.tuoheng.system.entity.User;


/**
 * <p>
 * 后台租户管理表 服务类
 * </p>
 * @author 拓恒
 * @since 2022-12-30
 */
public interface ITenantService  {


    JsonResult getList(BaseQuery tenantQuery);


    JsonResult edit(Tenant entity);


    JsonResult add(Tenant entity, User user);
    JsonResult editByCenter(Tenant entity, User user);
    JsonResult delByCenter(String code);
    JsonResult  updatePasswordByCenter(String code,String password);
    JsonResult deleteByIds(Integer[] tenantIds);

    int getCurrentTenantId();

    int getCurrentUserId();

    Tenant selectByTenantCode(String code);
}
